%define typescript_version     4.1.3
%if "%{?dist}" == ".el7"
%define nodejs_version         14.15.1
%define nodejs_next_version    17.0.0
%define usrDir                 usr
%else
%define nodejs_version         1:14.15.4
%define nodejs_next_version    1:21.0.0
%define usrDir                 usr/local
%endif
%define instDir                /%{usrDir}/lib


Name:       oci-typescript-sdk		
Version:	2.104.0
Release: 1%{?dist}
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure SDK for Typescript and JavaScript
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-typescript-sdk
Source0:	%{name}-%{version}.tar.bz2
Patch0:     tsconfig.json.patch
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
BuildRequires:	nodejs < %{nodejs_next_version} 
Requires:	nodejs >= %{nodejs_version} 
Requires:	nodejs <= %{nodejs_next_version} 
Requires:	typescript >= %{typescript_version} 


%description
The oci-typescript-sdk provides Oracle Cloud Infrastructure SDK for Typescript and Javascript 
that you can use to manage your Oracle Cloud Infrastructure resources.
 
%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm cache clean --force
npm config set prefix ./global 
npm install oci-sdk@%{version} -g

%check 
#make unit-ttest

%install
mkdir -p %{buildroot}/%{usrDir}
cp -rf  global/lib %{buildroot}/%{usrDir}

%files
%{instDir}/node_modules/*
%doc *.txt *.md examples/


%changelog
* Tue Mar 04 2025 EL Errata <el-errata_ww@oracle.com> 2.104.0-1
- Update to 2.104.0

* Tue Feb 25 2025 EL Errata <el-errata_ww@oracle.com> 2.103.0-1
- Update to 2.103.0

* Tue Feb 18 2025 EL Errata <el-errata_ww@oracle.com> 2.102.2-1
- Update to 2.102.2

* Tue Feb 11 2025 EL Errata <el-errata_ww@oracle.com> 2.102.1-1
- Update to 2.102.1

* Tue Feb 04 2025 EL Errata <el-errata_ww@oracle.com> 2.102.0-1
- Update to 2.102.0

* Tue Jan 28 2025 EL Errata <el-errata_ww@oracle.com> 2.101.0-1
- Update to 2.101.0

* Tue Jan 21 2025 EL Errata <el-errata_ww@oracle.com> 2.100.3-1
- Update to 2.100.3

* Tue Jan 14 2025 EL Errata <el-errata_ww@oracle.com> 2.100.2-1
- Update to 2.100.2

* Tue Dec 17 2024 EL Errata <el-errata_ww@oracle.com> 2.100.1-1
- Update to 2.100.1

* Tue Dec 10 2024 EL Errata <el-errata_ww@oracle.com> 2.100.0-1
- Update to 2.100.0

* Wed Nov 20 2024 EL Errata <el-errata_ww@oracle.com> 2.99.0-1
- Update to 2.99.0

* Tue Nov 12 2024 EL Errata <el-errata_ww@oracle.com> 2.98.1-1
- Update to 2.98.1

* Tue Nov 05 2024 EL Errata <el-errata_ww@oracle.com> 2.98.0-1
- Update to 2.98.0

* Tue Oct 29 2024 EL Errata <el-errata_ww@oracle.com> 2.97.1-1
- Update to 2.97.1

* Tue Oct 22 2024 EL Errata <el-errata_ww@oracle.com> 2.97.0-1
- Update to 2.97.0

* Tue Oct 15 2024 EL Errata <el-errata_ww@oracle.com> 2.96.0-1
- Update to 2.96.0

* Tue Oct 08 2024 EL Errata <el-errata_ww@oracle.com> 2.95.2-1
- Update to 2.95.2

* Tue Oct 01 2024 EL Errata <el-errata_ww@oracle.com> 2.95.1-1
- Update to 2.95.1

* Tue Sep 24 2024 EL Errata <el-errata_ww@oracle.com> 2.95.0-1
- Update to 2.95.0

* Tue Sep 17 2024 EL Errata <el-errata_ww@oracle.com> 2.94.0-1
- Update to 2.94.0

* Tue Aug 27 2024 EL Errata <el-errata_ww@oracle.com> 2.93.0-1
- Update to 2.93.0

* Tue Aug 20 2024 EL Errata <el-errata_ww@oracle.com> 2.92.0-1
- Update to 2.92.0

* Tue Aug 13 2024 EL Errata <el-errata_ww@oracle.com> 2.91.1-1
- Update to 2.91.1

* Tue Aug 06 2024 EL Errata <el-errata_ww@oracle.com> 2.91.0-1
- Update to 2.91.0

* Tue Jul 23 2024 EL Errata <el-errata_ww@oracle.com> 2.89.4-1
- Update to 2.89.4

* Tue Jul 16 2024 EL Errata <el-errata_ww@oracle.com> 2.89.3-1
- Update to 2.89.3

* Wed Jul 10 2024 Alan Steinberg <alan.steinberg@oracle.com> 2.89.2-1.0.1
- Allow usage with nodejs 18 and 20

* Tue Jul 09 2024 EL Errata <el-errata_ww@oracle.com> 2.89.2-1
- Update to 2.89.2

* Tue Jul 02 2024 EL Errata <el-errata_ww@oracle.com> 2.89.1-1
- Update to 2.89.1

* Tue Jun 25 2024 EL Errata <el-errata_ww@oracle.com> 2.89.0-1
- Update to 2.89.0

* Tue Jun 18 2024 EL Errata <el-errata_ww@oracle.com> 2.88.2-1
- Update to 2.88.2

* Tue Jun 11 2024 EL Errata <el-errata_ww@oracle.com> 2.88.1-1
- Update to 2.88.1

* Tue Jun 04 2024 EL Errata <el-errata_ww@oracle.com> 2.88.0-1
- Update to 2.88.0

* Tue May 28 2024 EL Errata <el-errata_ww@oracle.com> 2.87.0-1
- Update to 2.87.0

* Tue May 21 2024 EL Errata <el-errata_ww@oracle.com> 2.86.3-1
- Update to 2.86.3

* Tue May 14 2024 EL Errata <el-errata_ww@oracle.com> 2.86.2-1
- Update to 2.86.2

* Tue May 07 2024 EL Errata <el-errata_ww@oracle.com> 2.86.1-1
- Update to 2.86.1

* Tue Apr 30 2024 EL Errata <el-errata_ww@oracle.com> 2.86.0-1
- Update to 2.86.0

* Tue Apr 23 2024 EL Errata <el-errata_ww@oracle.com> 2.85.0-1
- Update to 2.85.0

* Tue Apr 16 2024 EL Errata <el-errata_ww@oracle.com> 2.84.2-1
- Update to 2.84.2

* Tue Apr 09 2024 EL Errata <el-errata_ww@oracle.com> 2.84.1-1
- Update to 2.84.1

* Tue Apr 02 2024 EL Errata <el-errata_ww@oracle.com> 2.84.0-1
- Update to 2.84.0

* Tue Mar 26 2024 EL Errata <el-errata_ww@oracle.com> 2.83.0-1
- Update to 2.83.0

* Tue Mar 19 2024 EL Errata <el-errata_ww@oracle.com> 2.82.2-1
- Update to 2.82.2

* Tue Mar 12 2024 EL Errata <el-errata_ww@oracle.com> 2.82.1-1
- Update to 2.82.1

* Tue Mar 05 2024 EL Errata <el-errata_ww@oracle.com> 2.82.0-1
- Update to 2.82.0

* Tue Feb 27 2024 EL Errata <el-errata_ww@oracle.com> 2.81.0-1
- Update to 2.81.0

* Tue Feb 20 2024 EL Errata <el-errata_ww@oracle.com> 2.80.0-1
- Update to 2.80.0

* Tue Feb 13 2024 EL Errata <el-errata_ww@oracle.com> 2.79.1-1
- Update to 2.79.1

* Wed Feb 07 2024 EL Errata <el-errata_ww@oracle.com> 2.79.0-1
- Update to 2.79.0

* Tue Jan 30 2024 EL Errata <el-errata_ww@oracle.com> 2.78.0-1
- Update to 2.78.0

* Tue Jan 23 2024 EL Errata <el-errata_ww@oracle.com> 2.77.1-1
- Update to 2.77.1

* Tue Jan 16 2024 EL Errata <el-errata_ww@oracle.com> 2.77.0-1
- Update to 2.77.0

* Tue Jan 09 2024 EL Errata <el-errata_ww@oracle.com> 2.76.1-1
- Update to 2.76.1

* Tue Dec 12 2023 EL Errata <el-errata_ww@oracle.com> 2.76.0-1
- Update to 2.76.0

* Mon Dec 04 2023 EL Errata <el-errata_ww@oracle.com> 2.75.0-1
- Update to 2.75.0

* Tue Nov 14 2023 EL Errata <el-errata_ww@oracle.com> 2.74.0-1
- Update to 2.74.0

* Tue Nov 07 2023 EL Errata <el-errata_ww@oracle.com> 2.73.1-1
- Update to 2.73.1

* Tue Oct 31 2023 EL Errata <el-errata_ww@oracle.com> 2.73.0-1
- Update to 2.73.0

* Tue Oct 24 2023 EL Errata <el-errata_ww@oracle.com> 2.72.0-1
- Update to 2.72.0

* Tue Oct 17 2023 EL Errata <el-errata_ww@oracle.com> 2.71.0-1
- Update to 2.71.0

* Tue Oct 10 2023 EL Errata <el-errata_ww@oracle.com> 2.70.4-1
- Update to 2.70.4

* Tue Oct 03 2023 EL Errata <el-errata_ww@oracle.com> 2.70.3-1
- Update to 2.70.3

* Tue Sep 26 2023 EL Errata <el-errata_ww@oracle.com> 2.70.2-1
- Update to 2.70.2

* Tue Sep 12 2023 EL Errata <el-errata_ww@oracle.com> 2.70.1-1
- Update to 2.70.1

* Tue Sep 05 2023 EL Errata <el-errata_ww@oracle.com> 2.70.0-1
- Update to 2.70.0

* Tue Aug 29 2023 EL Errata <el-errata_ww@oracle.com> 2.69.0-1
- Update to 2.69.0

* Tue Aug 22 2023 EL Errata <el-errata_ww@oracle.com> 2.68.2-1
- Update to 2.68.2

* Tue Aug 15 2023 EL Errata <el-errata_ww@oracle.com> 2.68.1-1
- Update to 2.68.1

* Tue Aug 08 2023 EL Errata <el-errata_ww@oracle.com> 2.68.0-1
- Update to 2.68.0

* Tue Aug 01 2023 EL Errata <el-errata_ww@oracle.com> 2.67.0-1
- Update to 2.67.0

* Tue Jul 25 2023 EL Errata <el-errata_ww@oracle.com> 2.66.0-1
- Update to 2.66.0

* Tue Jul 18 2023 EL Errata <el-errata_ww@oracle.com> 2.65.0-1
- Update to 2.65.0

* Tue Jul 11 2023 EL Errata <el-errata_ww@oracle.com> 2.64.0-1
- Update to 2.64.0

* Tue Jun 27 2023 EL Errata <el-errata_ww@oracle.com> 2.63.0-1
- Update to 2.63.0

* Tue Jun 20 2023 EL Errata <el-errata_ww@oracle.com> 2.62.3-1
- Update to 2.62.3

* Tue Jun 13 2023 EL Errata <el-errata_ww@oracle.com> 2.62.2-1
- Update to 2.62.2

* Tue Jun 06 2023 EL Errata <el-errata_ww@oracle.com> 2.62.1-1
- Update to 2.62.1

* Tue May 30 2023 EL Errata <el-errata_ww@oracle.com> 2.62.0-1
- Update to 2.62.0

* Tue May 23 2023 EL Errata <el-errata_ww@oracle.com> 2.61.0-1
- Update to 2.61.0

* Tue May 16 2023 EL Errata <el-errata_ww@oracle.com> 2.60.0-1
- Update to 2.60.0

* Tue May 09 2023 EL Errata <el-errata_ww@oracle.com> 2.59.1-1
- Update to 2.59.1

* Tue May 02 2023 EL Errata <el-errata_ww@oracle.com> 2.59.0-1
- Update to 2.59.0

* Tue Apr 25 2023 EL Errata <el-errata_ww@oracle.com> 2.58.1-1
- Update to 2.58.1

* Tue Apr 18 2023 EL Errata <el-errata_ww@oracle.com> 2.58.0-1
- Update to 2.58.0

* Tue Apr 11 2023 EL Errata <el-errata_ww@oracle.com> 2.57.0-1
- Update to 2.57.0

* Tue Apr 04 2023 EL Errata <el-errata_ww@oracle.com> 2.56.0-1
- Update to 2.56.0

* Tue Mar 28 2023 EL Errata <el-errata_ww@oracle.com> 2.55.1-1
- Update to 2.55.1

* Tue Mar 21 2023 EL Errata <el-errata_ww@oracle.com> 2.55.0-1
- Update to 2.55.0

* Tue Mar 14 2023 EL Errata <el-errata_ww@oracle.com> 2.54.1-1
- Update to 2.54.1

* Tue Mar 07 2023 EL Errata <el-errata_ww@oracle.com> 2.54.0-1
- Update to 2.54.0

* Tue Feb 28 2023 EL Errata <el-errata_ww@oracle.com> 2.53.1-1
- Update to 2.53.1

* Tue Feb 21 2023 EL Errata <el-errata_ww@oracle.com> 2.53.0-1
- Update to 2.53.0

* Tue Feb 14 2023 EL Errata <el-errata_ww@oracle.com> 2.52.0-1
- Update to 2.52.0

* Tue Feb 07 2023 EL Errata <el-errata_ww@oracle.com> 2.51.0-1
- Update to 2.51.0

* Tue Jan 31 2023 EL Errata <el-errata_ww@oracle.com> 2.50.4-1
- Update to 2.50.4

* Tue Jan 24 2023 EL Errata <el-errata_ww@oracle.com> 2.50.3-1
- Update to 2.50.3

* Tue Jan 17 2023 EL Errata <el-errata_ww@oracle.com> 2.50.2-1
- Update to 2.50.2

* Tue Jan 10 2023 EL Errata <el-errata_ww@oracle.com> 2.50.1-1
- Update to 2.50.1

* Tue Dec 13 2022 EL Errata <el-errata_ww@oracle.com> 2.50.0-1
- Update to 2.50.0

* Tue Dec 06 2022 EL Errata <el-errata_ww@oracle.com> 2.49.0-1
- Update to 2.49.0

* Tue Nov 15 2022 EL Errata <el-errata_ww@oracle.com> 2.48.1-1
- Update to 2.48.1

* Tue Nov 08 2022 EL Errata <el-errata_ww@oracle.com> 2.48.0-1
- Update to 2.48.0

* Tue Nov 01 2022 EL Errata <el-errata_ww@oracle.com> 2.47.0-1
- Update to 2.47.0

* Tue Oct 25 2022 EL Errata <el-errata_ww@oracle.com> 2.46.0-1
- Update to 2.46.0

* Tue Oct 04 2022 EL Errata <el-errata_ww@oracle.com> 2.45.0-1
- Update to 2.45.0

* Tue Sep 27 2022 EL Errata <el-errata_ww@oracle.com> 2.44.0-1
- Update to 2.44.0

* Tue Sep 20 2022 EL Errata <el-errata_ww@oracle.com> 2.43.0-1
- Update to 2.43.0

* Tue Sep 13 2022 EL Errata <el-errata_ww@oracle.com> 2.42.0-1
- Update to 2.42.0

* Tue Sep 06 2022 EL Errata <el-errata_ww@oracle.com> 2.41.0-1
- Update to 2.41.0

* Tue Aug 30 2022 EL Errata <el-errata_ww@oracle.com> 2.40.1-1
- Update to 2.40.1

* Tue Aug 23 2022 EL Errata <el-errata_ww@oracle.com> 2.40.0-1
- Update to 2.40.0

* Tue Aug 16 2022 EL Errata <el-errata_ww@oracle.com> 2.39.0-1
- Update to 2.39.0

* Tue Aug 09 2022 EL Errata <el-errata_ww@oracle.com> 2.38.0-1
- Update to 2.38.0

* Tue Aug 02 2022 EL Errata <el-errata_ww@oracle.com> 2.37.0-1
- Update to 2.37.0

* Tue Jul 26 2022 EL Errata <el-errata_ww@oracle.com> 2.36.0-1
- Update to 2.36.0

* Tue Jul 19 2022 EL Errata <el-errata_ww@oracle.com> 2.35.1-1
- Update to 2.35.1

* Tue Jul 12 2022 EL Errata <el-errata_ww@oracle.com> 2.35.0-1
- Update to 2.35.0

* Tue Jul 05 2022 EL Errata <el-errata_ww@oracle.com> 2.34.0-1
- Update to 2.34.0

* Tue Jun 28 2022 EL Errata <el-errata_ww@oracle.com> 2.33.0-1
- Update to 2.33.0

* Tue Jun 21 2022 EL Errata <el-errata_ww@oracle.com> 2.32.0-1
- Update to 2.32.0

* Tue Jun 14 2022 EL Errata <el-errata_ww@oracle.com> 2.31.0-1
- Update to 2.31.0

* Tue Jun 07 2022 EL Errata <el-errata_ww@oracle.com> 2.30.0-1
- Update to 2.30.0

* Tue May 31 2022 EL Errata <el-errata_ww@oracle.com> 2.29.0-1
- Update to 2.29.0

* Tue May 24 2022 EL Errata <el-errata_ww@oracle.com> 2.28.0-1
- Update to 2.28.0

* Tue May 17 2022 EL Errata <el-errata_ww@oracle.com> 2.27.0-1
- Update to 2.27.0

* Tue May 10 2022 EL Errata <el-errata_ww@oracle.com> 2.26.0-1
- Update to 2.26.0

* Tue May 03 2022 EL Errata <el-errata_ww@oracle.com> 2.25.0-1
- Update to 2.25.0

* Tue Apr 26 2022 EL Errata <el-errata_ww@oracle.com> 2.24.0-1
- Update to 2.24.0

* Tue Apr 19 2022 EL Errata <el-errata_ww@oracle.com> 2.23.0-1
- Update to 2.23.0

* Tue Apr 12 2022 EL Errata <el-errata_ww@oracle.com> 2.22.0-1
- Update to 2.22.0

* Tue Apr 05 2022 EL Errata <el-errata_ww@oracle.com> 2.21.0-1
- Update to 2.21.0

* Tue Mar 29 2022 EL Errata <el-errata_ww@oracle.com> 2.20.0-1
- Update to 2.20.0

* Tue Mar 22 2022 EL Errata <el-errata_ww@oracle.com> 2.19.0-1
- Update to 2.19.0

* Tue Mar 15 2022 EL Errata <el-errata_ww@oracle.com> 2.18.0-1
- Update to 2.18.0

* Tue Mar 08 2022 EL Errata <el-errata_ww@oracle.com> 2.17.0-1
- Update to 2.17.0

* Tue Mar 01 2022 EL Errata <el-errata_ww@oracle.com> 2.16.0-1
- Update to 2.16.0

* Tue Feb 22 2022 EL Errata <el-errata_ww@oracle.com> 2.15.0-1
- Update to 2.15.0

* Tue Feb 15 2022 EL Errata <el-errata_ww@oracle.com> 2.14.0-1
- Update to 2.14.0

* Tue Feb 08 2022 EL Errata <el-errata_ww@oracle.com> 2.13.0-1
- Update to 2.13.0

* Tue Feb 01 2022 EL Errata <el-errata_ww@oracle.com> 2.12.1-1
- Update to 2.12.1

* Tue Jan 25 2022 EL Errata <el-errata_ww@oracle.com> 2.12.0-1
- Update to 2.12.0

* Tue Jan 18 2022 EL Errata <el-errata_ww@oracle.com> 2.11.1-1
- Update to 2.11.1

* Thu Jan 13 2022 Qing Lin <qing.lin@oracle.com> 2.11.0-1.0.1
- Change nodejs range to support nodejs-14 and nodejs-16

* Tue Jan 11 2022 EL Errata <el-errata_ww@oracle.com> 2.11.0-1
- Update to 2.11.0

* Tue Dec 14 2021 EL Errata <el-errata_ww@oracle.com> 2.10.0-1
- Update to 2.10.0

* Tue Dec 07 2021 EL Errata <el-errata_ww@oracle.com> 2.9.1-1
- Update to 2.9.1

* Tue Nov 30 2021 EL Errata <el-errata_ww@oracle.com> 2.9.0-1
- Update to 2.9.0

* Wed Nov 17 2021 EL Errata <el-errata_ww@oracle.com> 2.8.0-1
- Update to 2.8.0

* Tue Nov 09 2021 EL Errata <el-errata_ww@oracle.com> 2.7.0-1
- Update to 2.7.0

* Tue Nov 02 2021 EL Errata <el-errata_ww@oracle.com> 2.6.1-1
- Update to 2.6.1

* Tue Oct 26 2021 EL Errata <el-errata_ww@oracle.com> 2.6.0-1
- Update to 2.6.0

* Tue Oct 19 2021 EL Errata <el-errata_ww@oracle.com> 2.5.2-1
- Update to 2.5.2

* Tue Oct 12 2021 EL Errata <el-errata_ww@oracle.com> 2.5.1-1
- Update to 2.5.1

* Tue Oct 05 2021 EL Errata <el-errata_ww@oracle.com> 2.5.0-1
- Update to 2.5.0

* Tue Sep 28 2021 EL Errata <el-errata_ww@oracle.com> 2.4.0-1
- Update to 2.4.0

* Tue Sep 14 2021 EL Errata <el-errata_ww@oracle.com> 2.3.1-1
- Update to 2.3.1

* Tue Sep 07 2021 EL Errata <el-errata_ww@oracle.com> 2.3.0-1
- Update to 2.3.0

* Tue Aug 31 2021 EL Errata <el-errata_ww@oracle.com> 2.2.2-1
- Update to 2.2.2

* Tue Aug 24 2021 EL Errata <el-errata_ww@oracle.com> 2.2.1-1
- Update to 2.2.1

* Tue Aug 17 2021 EL Errata <el-errata_ww@oracle.com> 2.2.0-1
- Update to 2.2.0

* Tue Aug 03 2021 EL Errata <el-errata_ww@oracle.com> 2.1.0-1
- Update to 2.1.0

* Tue Jul 27 2021 EL Errata <el-errata_ww@oracle.com> 2.0.1-1
- Update to 2.0.1

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 2.0.0-1
- Update to 2.0.0

* Tue Jul 13 2021 EL Errata <el-errata_ww@oracle.com> 1.23.0-1
- Update to 1.23.0

* Tue Jul 06 2021 EL Errata <el-errata_ww@oracle.com> 1.22.1-1
- Update to 1.22.1

* Tue Jun 29 2021 EL Errata <el-errata_ww@oracle.com> 1.22.0-1
- Update to 1.22.0

* Tue Jun 22 2021 EL Errata <el-errata_ww@oracle.com> 1.21.1-1
- Update to 1.21.1

* Tue Jun 15 2021 EL Errata <el-errata_ww@oracle.com> 1.21.0-1
- Update to 1.21.0

* Tue Jun 08 2021 EL Errata <el-errata_ww@oracle.com> 1.20.2-1
- Update to 1.20.2

* Tue Jun 01 2021 EL Errata <el-errata_ww@oracle.com> 1.20.1-1
- Update to 1.20.1

* Tue May 25 2021 EL Errata <el-errata_ww@oracle.com> 1.20.0-1
- Update to 1.20.0

* Tue May 18 2021 EL Errata <el-errata_ww@oracle.com> 1.19.5-1
- Update to 1.19.5

* Tue May 11 2021 EL Errata <el-errata_ww@oracle.com> 1.19.4-1
- Update to 1.19.4

* Tue May 04 2021 EL Errata <el-errata_ww@oracle.com> 1.19.3-1
- Update to 1.19.3

* Tue Apr 27 2021 EL Errata <el-errata_ww@oracle.com> 1.19.2-1
- Update to 1.19.2

* Tue Apr 20 2021 EL Errata <el-errata_ww@oracle.com> 1.19.1-1
- Update to 1.19.1

* Tue Apr 13 2021 EL Errata <el-errata_ww@oracle.com> 1.19.0-1
- Update to 1.19.0

* Tue Apr 06 2021 EL Errata <el-errata_ww@oracle.com> 1.18.1-1
- Update to 1.18.1

* Tue Mar 30 2021 EL Errata <el-errata_ww@oracle.com> 1.18.0-1
- Update to 1.18.0

* Tue Mar 23 2021 EL Errata <el-errata_ww@oracle.com> 1.17.0-1
- Update to 1.17.0

* Tue Mar 16 2021 EL Errata <el-errata_ww@oracle.com> 1.16.2-1
- Update to 1.16.2

* Tue Mar 09 2021 EL Errata <el-errata_ww@oracle.com> 1.16.1-1
- Update to 1.16.1

* Tue Mar 02 2021 EL Errata <el-errata_ww@oracle.com> 1.16.0-1
- Update to 1.16.0

* Tue Feb 23 2021 EL Errata <el-errata_ww@oracle.com> 1.15.2-1
- Update to 1.15.2

* Wed Feb 17 2021 EL Errata <el-errata_ww@oracle.com> 1.15.1-1
- Update to 1.15.1

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 1.14.0-1
- Update to 1.14.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 1.13.0-1
- Update to 1.13.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 1.9.1-1
- Update to 1.9.1

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 1.9.0-1
- Update to 1.9.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 1.8.0-1
- Update to 1.8.0

* Mon Nov 16 2020 Qing Lin <qing.lin@oracle.com> 1.7.0-1.0.1
- Change the dependencies on nodejs to equal 10.15.3

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.6.3-1
- Update to 1.6.3

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.6.2-1
- Update to 1.6.2

* Thu Oct 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.6.1
- Update to 1.6.1 for Oracle build

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> - 1.6.0
- Initial RPM release. 

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> - 1.5.6
- Initial build. Pack it from npm. 

